searchNodes=[{"ref":"MatrixOperation.html","title":"MatrixOperation","type":"module","doc":"Documentation for Matrix operation library."},{"ref":"MatrixOperation.html#add/2","title":"MatrixOperation.add/2","type":"function","doc":"Matrix addition Examples iex&gt; MatrixOperation.add([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [3, 2, 2]]) [[5, 5, 4], [5, 3, 4]]"},{"ref":"MatrixOperation.html#const_multiple/2","title":"MatrixOperation.const_multiple/2","type":"function","doc":"A matrix is multiplied by a constant. Examples iex&gt; MatrixOperation.const_multiple(-1, [1.0, 2.0, 3.0]) [-1.0, -2.0, -3.0] iex&gt; MatrixOperation.const_multiple(2, [[1, 2, 3], [2, 2, 2], [3, 8, 9]]) [[2, 4, 6], [4, 4, 4], [6, 16, 18]]"},{"ref":"MatrixOperation.html#cramer/3","title":"MatrixOperation.cramer/3","type":"function","doc":"Cramer&#39;s rule Examples iex&gt; MatrixOperation.cramer([1, 0, 0], [[1, 0, 0], [0, 1, 0], [0, 0, 1]], 0) 1.0"},{"ref":"MatrixOperation.html#delete_one_row/2","title":"MatrixOperation.delete_one_row/2","type":"function","doc":"A row of a matrix is deleted. Examples iex&gt; MatrixOperation.delete_one_row([[1, 2, 3], [4, 5, 6], [7, 8, 9]], 3) [[1, 2, 3], [4, 5, 6]]"},{"ref":"MatrixOperation.html#determinant/1","title":"MatrixOperation.determinant/1","type":"function","doc":"A determinant of a n×n square matrix is got. Examples iex&gt; MatrixOperation.determinant([[1, 2, 1], [2, 1, 0], [1, 1, 2]]) -5 iex&gt; MatrixOperation.determinant([[1, 2, 1, 1], [2, 1, 0, 1], [1, 1, 2, 1], [1, 2, 3, 4]]) -13 iex&gt; MatrixOperation.determinant([ [3,1,1,2,1], [5,1,3,4,1], [2,0,1,0,1], [1,3,2,1,1], [1,1,1,1,1] ]) -14"},{"ref":"MatrixOperation.html#get_one_column/2","title":"MatrixOperation.get_one_column/2","type":"function","doc":"A column of a matrix is got. Examples iex&gt; MatrixOperation.get_one_column([[1, 2, 3], [4, 5, 6], [7, 8, 9] ], 1) [1, 4, 7]"},{"ref":"MatrixOperation.html#get_one_element/2","title":"MatrixOperation.get_one_element/2","type":"function","doc":"A element of a matrix is got. Examples iex&gt; MatrixOperation.get_one_element([[1, 2, 3], [4, 5, 6], [7, 8, 9] ], [1, 1]) 1"},{"ref":"MatrixOperation.html#get_one_row/2","title":"MatrixOperation.get_one_row/2","type":"function","doc":"A row of a matrix is got. Examples iex&gt; MatrixOperation.get_one_row([[1, 2, 3], [4, 5, 6], [7, 8, 9] ], 1) [1, 2, 3]"},{"ref":"MatrixOperation.html#hadamard_division/2","title":"MatrixOperation.hadamard_division/2","type":"function","doc":"Hadamard division Examples iex&gt; MatrixOperation.hadamard_division([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [3, 2, 2]]) [[1.5, 0.6666666666666666, 3.0], [0.6666666666666666, 0.5, 1.0]]"},{"ref":"MatrixOperation.html#hadamard_power/2","title":"MatrixOperation.hadamard_power/2","type":"function","doc":"Hadamard power Examples iex&gt; MatrixOperation.hadamard_power([[3, 2, 3], [2, 1, 2]], 2) [[9.0, 4.0, 9.0], [4.0, 1.0, 4.0]]"},{"ref":"MatrixOperation.html#hadamard_product/2","title":"MatrixOperation.hadamard_product/2","type":"function","doc":"Hadamard product Examples iex&gt; MatrixOperation.hadamard_product([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [3, 2, 2]]) [[6, 6, 3], [6, 2, 4]]"},{"ref":"MatrixOperation.html#inverse_matrix/1","title":"MatrixOperation.inverse_matrix/1","type":"function","doc":"Inverse Matrix Examples iex&gt; MatrixOperation.inverse_matrix([[1, 1, -1], [-2, -1, 1], [-1, -2, 1]]) [[-1.0, -1.0, 0.0], [-1.0, 0.0, -1.0], [-3.0, -1.0, -1.0]]"},{"ref":"MatrixOperation.html#linear_equations/2","title":"MatrixOperation.linear_equations/2","type":"function","doc":"Liner equations are solved. Examples iex&gt; MatrixOperation.linear_equations([1, 0, 0], [[1, 0, 0], [0, 1, 0], [0, 0, 1]]) [1.0, 0.0, 0.0] iex&gt; MatrixOperation.linear_equations([3, -7, 4], [[0, -2, 1], [-1, 1, -4], [3, 3, 1]]) [2.0, -1.0, 1.0]"},{"ref":"MatrixOperation.html#product/2","title":"MatrixOperation.product/2","type":"function","doc":"Matrix product Examples iex&gt; MatrixOperation.product([[3, 2, 3], [2, 1, 2]], [[2, 3], [2, 1], [3, 5]]) [[19, 26], [12, 17]]"},{"ref":"MatrixOperation.html#row_column_matrix/1","title":"MatrixOperation.row_column_matrix/1","type":"function","doc":"Numbers of row and column of a matrix are got. Examples iex&gt; MatrixOperation.row_column_matrix([[3, 2, 3], [2, 1, 2]]) [2, 3]"},{"ref":"MatrixOperation.html#subtract/2","title":"MatrixOperation.subtract/2","type":"function","doc":"Matrix subtraction Examples iex&gt; MatrixOperation.subtract([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [3, 2, 2]]) [[1, -1, 2], [-1, -1, 0]]"},{"ref":"MatrixOperation.html#tensor_product/2","title":"MatrixOperation.tensor_product/2","type":"function","doc":"Tensor product Examples iex&gt; MatrixOperation.tensor_product([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [2, 1, 2], [3, 5, 3]]) [ [ [[6, 9, 3], [6, 3, 6], [9, 15, 9]], [[4, 6, 2], [4, 2, 4], [6, 10, 6]], [[6, 9, 3], [6, 3, 6], [9, 15, 9]] ], [ [[4, 6, 2], [4, 2, 4], [6, 10, 6]], [[2, 3, 1], [2, 1, 2], [3, 5, 3]], [[4, 6, 2], [4, 2, 4], [6, 10, 6]] ] ]"},{"ref":"MatrixOperation.html#trace/1","title":"MatrixOperation.trace/1","type":"function","doc":"Trace of a matrix Examples iex&gt; MatrixOperation.trace([[1.0, 2.0], [3.0, 4.0]]) 5.0"},{"ref":"MatrixOperation.html#transpose/1","title":"MatrixOperation.transpose/1","type":"function","doc":"Transpose of a matrix Examples iex&gt; MatrixOperation.transpose([[1.0, 2.0], [3.0, 4.0]]) [[1.0, 3.0], [2.0, 4.0]]"}]